from typing import Annotated

from fastapi import Depends
from fastapi.security import HTTPBearer, HTTPAuthorizationCredentials

from src.core.common.jwt import decode_token_from_base64
from src.core.common.schemas import TokenPayloadSchema

http_bearer = HTTPBearer()



async def data_from_token(
        token: Annotated[HTTPAuthorizationCredentials, Depends(http_bearer)]
) -> TokenPayloadSchema:
    return decode_token_from_base64(
        token=token,
    )