from datetime import datetime

from pydantic import BaseModel, AnyHttpUrl, EmailStr, HttpUrl, UUID4


class ResponseTokenSchema(BaseModel):
    access_token: str
    token_type: str = "bearer"


class UserInfoSchema(BaseModel):
    avatar: AnyHttpUrl
    created_at: datetime
    email: EmailStr
    login: str
    updated_at: datetime


class PaymentLinkSchema(BaseModel):
    payment_url: HttpUrl


class TokenPayloadSchema(BaseModel):
    account_id: int
    exp: int
    sub: EmailStr
